import request from '@/utils/request'

// 查询联系人列表
export function listContactPerson(query) {
  return request({
    url: '/customer/customerContact/list',
    method: 'get',
    params: query
  })
}

// 查询联系人详细
export function getContactPerson(id) {
  return request({
    url: '/customer/customerContact/' + id,
    method: 'get'
  })
}

// 新增联系人
export function addContactPerson(data) {
  return request({
    url: '/customer/customerContact',
    method: 'post',
    data: data
  })
}

// 修改联系人
export function updateContactPerson(data) {
  return request({
    url: '/customer/customerContact',
    method: 'put',
    data: data
  })
}

// 删除联系人
export function delContactPerson(id) {
  return request({
    url: '/customer/customerContact/' + id,
    method: 'delete'
  })
}
